print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricefischforelle = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local fischforelleHudFile = "Paletten/hud_fill_fischforelle.dds"
	local fischforelleHudFileSmall = "Paletten/hud_fill_fischforelle_sml.dds"
	
    local fischforelleFilType = g_fillTypeManager:addFillType("FISCHFORELLE", g_i18n:getText("fischforelle"), true, pricefischforelle * 4.0, 0.00045, math.rad(10), fischforelleHudFile, fischforelleHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasfischforelle=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasfischforelle=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "FISCHFORELLE" then
		hasfischforelle=true
	end;
		
end;

		if hasmaize and not hasfischforelle then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("FISCHFORELLE")
		local price = g_fillTypeManager:getFillTypeByName("FISCHFORELLE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("FISCHFORELLE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)